Subject: Re: [PATCH v2 3/3] iommu/arm-smmu-v3: Allow ATS to be always on

From: Jonathan Cameron <[email-masked]>
Date: Mon, 2 Mar 2026 14:54:26 +0000

On Tue, 24 Feb 2026 12:09:47 -0400
Jason Gunthorpe <[email-masked]> wrote:

> On Tue, Feb 24, 2026 at 03:57:42PM +0000, Jonathan Cameron wrote:
> > On Tue, 24 Feb 2026 10:51:02 -0400
> > Jason Gunthorpe <[email-masked]> wrote:
> >   
> > > On Tue, Feb 24, 2026 at 12:06:15PM +0000, Jonathan Cameron wrote:
> > >   
> > > > In my head at least, it would be nice if a driver had to explicitly opt in
> > > > to this behavior. The presence of CXL.cache support for instance doesn't
> > > > actually mean the driver is going to enable it.  However it is probably
> > > > harmless so lets go with this as path of least resistance.    
> > > 
> > > That same remark applies to ATS in general, we have no idea if the
> > > device is going to use it when turned on or not..  
> > 
> > Yup. Understood. That's the bit that smells bad to me.  
> 
> Do you have thoughts on when this is a problem (aside from device
> pre-acceptance security already discussed)? So far I haven't heard
> complaining on this point..

Nothing explicit.  It was a very minor smells wrong moan on basis of
assumptions of what an IOMMU is doing in the way of ATS checking if
we have a malicious device.  So principle of not turning anything on
we don't know we need.

Jonathan

> Jason